require "ISUI/ISToolTipInv"
Kinkocalypse = Kinkocalypse or {}

Kinkocalypse.ISToolTipInvRender = ISToolTipInv.render;
function ISToolTipInv:render()
	if Kinkocalypse.IsHasTag(self.item, "SteelControllCenter") == true then
		local text = Kinkocalypse.GetActivePunishmentsText(text)
		if text == nil then text = "" end
		self.item:setTooltip(text)
		Kinkocalypse.ISToolTipInvRender(self)
		return
	end

	if Kinkocalypse.IsHasTag(self.item, "SteelRestriction") or Kinkocalypse.IsHasTag(self.item, "SteelRestrictionKey") then
		local text = ""
		local keyData = self.item:getModData().RestrainKeyData
		local chainsKeyData = self.item:getModData().ChainsKeyData
		
		if keyData ~= nil then
			if keyData == -999 then text = text.."\n"..getText("UI_Kincalypse_Welded")
			else text = text.."\n"..getText("UI_Kincalypse_KeyId")..keyData end
		end
		if chainsKeyData ~= nil and chainsKeyData ~= -999 then
			text = text.."\n"..getText("UI_Kincalypse_ChainsKeyId")..chainsKeyData
		end
		
		if Kinkocalypse.IsHasTag(self.item, "SteelGag") == true then
			if self.item:getModData().GagClosed == true then text = text.."\n"..getText("UI_Kincalypse_GagClosed") end
		end	
		if Kinkocalypse.IsHasTag(self.item, "SteelWristCuffs") == true then
			if self.item:getModData().ChainedHands == true then text = text.."\n"..getText("UI_Kincalypse_HandsChained") end
		end	
		if Kinkocalypse.IsHasTag(self.item, "SteelAnkleCuffs") == true then
			if self.item:getModData().ChainedLegs == true then text = text.."\n"..getText("UI_Kincalypse_LegsChained") end
		end
		self.item:setTooltip(text)
	end
	
	Kinkocalypse.ISToolTipInvRender(self)
end